function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useState } from 'react';
import { Dialog as DialogComponent } from './Dialog';
import Button from '../Button/Button';
export default {
  title: 'Components/Dialog',
  component: DialogComponent,
  argTypes: {
    analytics: {
      control: false
    },
    children: {
      control: false
    },
    actions: {
      control: false
    },
    heading: {
      control: {
        type: 'text'
      },
      type: {
        name: 'string',
        required: true
      }
    },
    title: {
      control: {
        type: 'text'
      },
      type: {
        name: 'string',
        required: true
      }
    }
  },
  args: {
    alert: false,
    escapeExits: true,
    underlayClickExits: true,
    children: /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed accumsan diam vitae metus lacinia, eget tempor purus placerat."),
    heading: 'Dialog Heading'
  },
  parameters: {
    docs: {
      source: {
        type: 'code'
      }
    }
  }
};
export var DialogExample = function DialogExample(_ref) {
  var args = _extends({}, _ref);

  var _useState = useState(),
      _useState2 = _slicedToArray(_useState, 2),
      shown = _useState2[0],
      setShown = _useState2[1];

  var showModal = function showModal() {
    return setShown(true);
  };

  var hideModal = function hideModal() {
    return setShown(false);
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Button, {
    onClick: showModal,
    size: "big",
    variation: "primary"
  }, "Click to show modal"), shown && /*#__PURE__*/React.createElement(DialogComponent, _extends({}, args, {
    getApplicationNode: function getApplicationNode() {
      return document.getElementById('storybook-preview-iframe');
    },
    onExit: hideModal,
    actions: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("button", {
      className: "ds-c-button ds-c-button--primary ds-u-margin-right--1",
      key: "primary"
    }, "Dialog action"), /*#__PURE__*/React.createElement("button", {
      className: "ds-c-button ds-c-button--transparent",
      key: "cancel",
      onClick: hideModal
    }, "Cancel"))
  })));
};